%define majver %(echo %version | cut -d. -f1-3)
Name:          trousers
Version:       0.3.11.2
Release:       1mamba
Summary:       An open-source TCG Software Stack implementation
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/trousers/
Source:        http://downloads.sourceforge.net/project/trousers/trousers/%{majver}/trousers-%{version}.tar.gz
License:       Common Public Attribution License 1.0
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 libtspi' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
TrouSerS is an open-source TCG Software Stack implementation, created and released by IBM.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/tcsd.conf
%{_sbindir}/tcsd
%{_libdir}/libtspi.so.*
%{_mandir}/man5/tcsd.conf.5.gz
%{_mandir}/man8/tcsd.8.gz
%doc AUTHORS LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/trousers
%{_includedir}/trousers/*.h
%dir %{_includedir}/tss
%{_includedir}/tss/*.h
%{_libdir}/libtddl.a
%{_libdir}/libtspi.la
%{_libdir}/libtspi.so
%{_mandir}/man3/*
%doc ChangeLog README README.selinux TODO

%changelog
* Sun Aug 25 2013 Automatic Build System <autodist@mambasoft.it> 0.3.11.2-1mamba
- update to 0.3.11.2

* Mon Jun 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.9-1mamba
- package created by autospec
